import {createSSRApp} from "vue";
import App from "./App.vue";
import {Pinia, store} from '@/store'
import {installAppPlugins} from '@/plugin'
import {requestInterceptor, routeInterceptor} from "@/interceptor";
import {i18n} from "@/locale";


// #ifndef APP-NVUE
import 'virtual:uno.css'
// #endif

export function createApp() {
    const app = createSSRApp(App);
    app.use(store)
    app.use(requestInterceptor)
    app.use(routeInterceptor)
    app.use(i18n)
    installAppPlugins(app)
    return {
        app,
        Pinia,
    };
}
